require_relative '../model/sources'
require 'singleton'

# In charge of host the Pods names that comes from our private sources
#
# NOTE: The safest way to handle this was to host the complete specification and not only the pods 
#       names as rubydocs specified
#       (https://www.rubydoc.info/github/CocoaPods/Core/Pod/Source#all_specs-instance_method)
#        However, the execution time was considerably slower. 
#
class SourceHelper
    include Singleton
    attr_accessor :specs

    def initialize()
        @specs ||= []
    end

    def setup(sources, private_sources)      
        private_sources = sources.select {|s| private_sources.include? s.url}
        private_sources.each do |s| 
            @specs.concat s.pods
        end
    end

    def is_filled
        return !@specs.empty?
    end
end